package org.cyrano.editor.tool;

import java.awt.Color;
import java.awt.Graphics2D;

public class RectangleXYFeedback implements EditPolicyFeedback {

  @Override
  public void paint(Graphics2D g2d, //
      EditPolicyMouseHandler editPolicyMouseHandler) {

    RectangleMouseHandler rmh = //
    (RectangleMouseHandler) editPolicyMouseHandler;

    if (rmh.getDraggedPt() == null) {
      return;
    }

    g2d.setColor(Color.LIGHT_GRAY);
    g2d.fillRect( //
        rmh.getDraggedPt().x - rmh.getDraggedDx(), //
        rmh.getDraggedPt().y - rmh.getDraggedDy(), //
        rmh.getDraggedFg().getRect().w, //
        rmh.getDraggedFg().getRect().h);

    g2d.setColor(Color.DARK_GRAY);
    g2d.drawRect( //
        rmh.getDraggedPt().x - rmh.getDraggedDx(), //
        rmh.getDraggedPt().y - rmh.getDraggedDy(), //
        rmh.getDraggedFg().getRect().w, //
        rmh.getDraggedFg().getRect().h);
  }
}
