package org.cyrano.timetable.ui.model.visitor;

import org.cyrano.timetable.ui.model.timetable.Cour;
import org.cyrano.timetable.ui.model.timetable.Prof;
import org.cyrano.timetable.ui.model.timetable.Room;
import org.cyrano.timetable.ui.model.timetable.Root;
import org.cyrano.timetable.ui.model.timetable.Sect;
import org.cyrano.timetable.ui.model.timetable.Sems;
import org.cyrano.timetable.ui.model.timetable.Slot;

public interface ModelVisitor {

  public void visitRoot(Root root);

  public void visitSems(Sems sems);

  public void visitProf(Prof prof);

  public void visitRoom(Room room);

  public void visitCour(Cour cour);

  public void visitSect(Sect sect);

  public void visitSlot(Slot slot);
}
