package org.cyrano.timetable.ui.command;

import org.cyrano.editor.listeners.Command;
import org.cyrano.timetable.ui.model.base.Parent;

public class CreateChildCommand<PARENT_TYPE, CHILDREN_TYPE> //
    implements
      Command {

  private Parent<PARENT_TYPE, CHILDREN_TYPE> par;

  private CHILDREN_TYPE/*                  */chl;

  // --------------------------------------------------------------------------------

  public CreateChildCommand( //
      Parent<PARENT_TYPE, CHILDREN_TYPE> par, CHILDREN_TYPE chl) {

    this.par = par;
    this.chl = chl;
  }

  // --------------------------------------------------------------------------------

  @Override
  public void redoCommand() {
    par.add(chl);
  }

  // --------------------------------------------------------------------------------

  @Override
  public void undoCommand() {
    par.del(chl);
  }

  // --------------------------------------------------------------------------------

  @Override
  public boolean canExecute() {
    return true;
  }
}
