package org.cyrano.timetable.ui.model.base;

import java.util.List;

import org.cyrano.timetable.ui.model.timetable.Root;
import org.cyrano.timetable.ui.model.timetable.Slot;

public interface BaseModel {

  public Root getRoot();

  public String getDisplayName();

  public void setVisible(boolean visible);

  public List<Slot> getAllChildrenSlots();

  public void shallowDataCopyFrom(BaseModel baseModel);
}
